AsterNet Class Library (Sandcastle documentation)

| QueueParamsEvent Weight Property

Returns the weight of this queue.
A queues can be assigned a 'weight' to ensure calls waiting in a higher priority queue will deliver its calls first. Only delays the lower weight queue's call if the member is also in the higher weight queue.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public int Weight { get; set; }

    Public Property Weight As Integer
    	Get
    	Set

    public:
    property int Weight {
    	int get ();
    	void set (int value);
    }

    member Weight : int with get, set

#### Property Value

Type: Int32
See Also

#### Reference

QueueParamsEvent Class
AsterNET.Manager.Event Namespace